Draft Offset/es: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 20: Line 20:
La herramienta Equidistancia crea una equidistacia de los objetos seleccionados a una distancia dada sobre el [[Draft SelectPlane/es|plano de trabajo]] actual. Si no se han seleccionado objetos, te invitará a seleccionar uno. Simplemente te pregunta por un punto, dando la distancia de la equidistancia de los objetos seleccionados.
La herramienta Equidistancia crea una equidistacia de los objetos seleccionados a una distancia dada sobre el [[Draft SelectPlane/es|plano de trabajo]] actual. Si no se han seleccionado objetos, te invitará a seleccionar uno. Simplemente te pregunta por un punto, dando la distancia de la equidistancia de los objetos seleccionados.
</div>
</div>

Typically this tool is used in copy mode to create offset copies of a base wire while leaving this wire in the same place. The offset copies are scaled versions of the original object. To create other scaled copies use [[Draft Scale|Draft Scale]]. To produce exact copies shifted a distance use [[Draft Move|Draft Move]].


[[Image:Draft_Offset_example.jpg|400px]]
[[Image:Draft_Offset_example.jpg|400px]]
{{Caption|Offsetting a wire a certain distance from one of its edges}}
{{Caption|Offsetting a Draft Wire}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
==Utilización==
==Utilización==
</div>
</div>

See also: [[Draft_Snap|Draft Snap]] and [[Draft_Constrain|Draft Constrain]].


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 35: Line 35:
# Designa un punto en la vista 3D, o escribe una distancia
# Designa un punto en la vista 3D, o escribe una distancia
</div>
</div>

The distance used to create the offset is perpendicular to one of the edges of the original shape, depending on the position of the pointer. If the pointer is moved closer to another edge, this edge now becomes the reference for the distance. Hold the {{KEY|Shift}} key to keep the current reference edge despite moving the pointer closer to other edges.


==Opciones==
==Opciones==

The single character keyboard shortcut and the modifier keys mentioned here can be changed. See [[Draft_Preferences|Draft Preferences]].


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 47: Line 47:
* Presiona {{KEY|ESC}} o el botón {{KEY|'''Cancelar'''}} para abortar el comando actual.
* Presiona {{KEY|ESC}} o el botón {{KEY|'''Cancelar'''}} para abortar el comando actual.
</div>
</div>

==Notes==

* To create an offset version of a [[Draft_BezCurve|Draft BezCurve]] its points are offset individually, and from the new points a new Bézier curve is calculated. This new curve is not parallel to the original curve.
* The command cannot handle [[Draft_BSpline|Draft BSplines]].

==Preferences==

See also: [[Preferences_Editor|Preferences Editor]] and [[Draft_Preferences|Draft Preferences]].

* To change the number of decimals used for the input of the distance: {{MenuCommand|Edit → Preferences... → General → Units → Units settings → Number of decimals}}.
* To store and reuse the same copy mode setting across commands: {{MenuCommand|Edit → Preferences... → Draft → General settings → Draft tools options → Global copy mode}}.


==Scripting==
==Scripting==
Line 59: Line 71:


{{Code|code=
{{Code|code=
Offsetobj = offset(obj, delta, copy=False, bind=False, sym=False, occ=False)
offset_obj = offset(obj, delta, copy=False, bind=False, sym=False, occ=False)
}}
}}


Line 72: Line 84:


{{Code|code=
{{Code|code=
import FreeCAD, Draft
import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1500, 2000, 0)
p3 = App.Vector(4000, 0, 0)


p1 = FreeCAD.Vector(0, 0, 0)
wire = Draft.make_wire([p1, p2, p3])
doc.recompute()
p2 = FreeCAD.Vector(1500, 2000, 0)
p3 = FreeCAD.Vector(4000, 0, 0)


Wire = Draft.makeWire([p1, p2, p3])
vector = App.Vector(-200, 150, 0)
offset1 = Draft.offset(wire, vector, copy=True, bind=True, sym=True)
offset2 = Draft.offset(wire, 3*vector, copy=True)
offset3 = Draft.offset(wire, 6*vector, copy=True)
offset4 = Draft.offset(wire, 9*vector, copy=True)
offset5 = Draft.offset(wire, 1.5*vector, copy=True, occ=True)


doc.recompute()
vector = FreeCAD.Vector(0, 500, 0)
Offset_1 = Draft.offset(Wire, vector, copy=True)
Offset_2 = Draft.offset(Wire, 3*vector, copy=True)
Offset_3 = Draft.offset(Wire, 6*vector, copy=True)
Offset_4 = Draft.offset(Wire, 9*vector, copy=True)
Offset_5 = Draft.offset(Wire, 1.5*vector, copy=True, occ=True)
}}
}}



Revision as of 08:03, 16 June 2021

This documentation is a work in progress. Please don't mark it as translatable since it will change in the next hours and days.

Draft Offset

Ubicación en el Menú
Croquis → Equidistancia
Entornos de trabajo
Croquis, Arquitectura
Atajo de teclado por defecto
O S
Introducido en versión
-
Ver también
Part 2D Offset

Descripción

La herramienta Equidistancia crea una equidistacia de los objetos seleccionados a una distancia dada sobre el plano de trabajo actual. Si no se han seleccionado objetos, te invitará a seleccionar uno. Simplemente te pregunta por un punto, dando la distancia de la equidistancia de los objetos seleccionados.

Offsetting a Draft Wire

Utilización

See also: Draft Snap and Draft Constrain.

  1. Selecciona los objetos a los que quieras crear una equidistancia
  2. Presiona el botón Equidistancia, o presiona las teclas O y S
  3. Designa un punto en la vista 3D, o escribe una distancia

Opciones

The single character keyboard shortcut and the modifier keys mentioned here can be changed. See Draft Preferences.

  • Presiona T o selecciona la casilla para activar/desactivar el botón Continuar. Si el modo continuar está activado, la herramienta equidistancia se reiniciará al terminar permitiendo hacer otra equidistancia o copiar objetos de nuevo sin necesidad de volver a presionar el botón de equidistancia.
  • Presionando ALT o C o seleccionando el botón Copiar se creará una copia de los objetos, en lugar de moverlos. Si mantienes presionada la tecla ALT después de seleccionar el segundo punto, podrás hacer más copias, hasta que liberes la tecla ALT.
  • Presiona CTRL mientras dibujas para forzar el ajuste de tu punto a la posición de ajuste más cercana, independientemente de la distancia.
  • Presionando SHIFT se restringirá al segmento actual en lugar de seleccionar el más cercano.
  • Presiona ESC o el botón Cancelar para abortar el comando actual.

Notes

  • To create an offset version of a Draft BezCurve its points are offset individually, and from the new points a new Bézier curve is calculated. This new curve is not parallel to the original curve.
  • The command cannot handle Draft BSplines.

Preferences

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of the distance: Edit → Preferences... → General → Units → Units settings → Number of decimals.
  • To store and reuse the same copy mode setting across commands: Edit → Preferences... → Draft → General settings → Draft tools options → Global copy mode.

Scripting

Programación

La herramienta Equidistancia se puede utilizar en macros y desde la consola de Python utilizando la siguiente función:

offset_obj = offset(obj, delta, copy=False, bind=False, sym=False, occ=False)
  • Crea una equidistancia del contorno dado aplicando el vector indicado a su primer vértice.
  • Si copymode es True, se crea otro objeto, en otro caso es el mismo objeto el que se equidistancia. Si bind es True, y el contorno dado está abierto, el original y el contorno equidistante estarán enlazados por sus puntos finales, creando una cara.
  • Si sym es True, la equidistancia se crea hacia ambos lados, siendo el ancho total la longitud del vector dado.
  • Devuelve el objeto equidistante (o su copia si copymode es True).

Ejemplo:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1500, 2000, 0)
p3 = App.Vector(4000, 0, 0)

wire = Draft.make_wire([p1, p2, p3])
doc.recompute()

vector = App.Vector(-200, 150, 0)
offset1 = Draft.offset(wire, vector, copy=True, bind=True, sym=True)
offset2 = Draft.offset(wire, 3*vector, copy=True)
offset3 = Draft.offset(wire, 6*vector, copy=True)
offset4 = Draft.offset(wire, 9*vector, copy=True)
offset5 = Draft.offset(wire, 1.5*vector, copy=True, occ=True)

doc.recompute()